Bug 620480 - RHUA does not go through the squid proxy to fetch packages
RHUA does not go through the squid proxy to fetch packages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA (Show other bugs)
1.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Jay Dobies
wes hayutin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-02 12:09 EDT by wes hayutin
Modified: 2012-05-31 08:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-31 08:53:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2010-08-02 12:09:57 EDT
[root@ip-10-245-202-207 tmp]# rhua start
========================================
RHUA Start

Running RHUA system start
Package directory [/mnt/content] already exists, nothing to do
Synchronizing content
Synchronizing channel list to base [/mnt/content]
Synchronizing channel [rhel-i386-server-5] and creating repo
Configuring package sync to use proxy [http://ec2-184-72-158-202.compute-1.amazonaws.com]
Synchronized channel [rhel-i386-server-5] in [628] seconds
Synchronizing channel [rhel-x86_64-server-5] and creating repo
Configuring package sync to use proxy [http://ec2-184-72-158-202.compute-1.amazonaws.com]
Synchronized channel [rhel-x86_64-server-5] in [763] seconds
Synchronized [5] packages
Skipping CDS configuration
Synchronizing packages to CDS instances

*********************
packages getting pulled by grinder..

2010-08-02 12:07:04,888  Thread ending
2010-08-02 12:07:04,988  Wait 1.  check again
2010-08-02 12:07:05,007  /mnt/content/content/dist/rhel/server/5Server/x86_64/os//30:bind-devel-9.3.4-6.0.3.P1.el5_2.x86_64.rpm exists with correct size and md5sum, no need to fetch.
2010-08-02 12:07:05,007  Thread ending
2010-08-02 12:07:05,046  /mnt/content/content/dist/rhel/server/5Server/x86_64/os//xulrunner-devel-1.9.0.9-1.el5.x86_64.rpm exists with correct size and md5sum, no need to fetch.
2010-08-02 12:07:05,046  Thread ending
2010-08-02 12:07:05,106  /mnt/content/content/dist/rhel/server/5Server/x86_64/os//kernel-devel-2.6.18-8.1.8.el5.x86_64.rpm exists with correct size and md5sum, no need to fetch.


*************************

squid access log should get hit for each package
[root@ip-10-202-59-201 ~]# tail -f /var/log/squid/access.log 
1280754408.878    425 10.245.202.207 TCP_DENIED/400 1621 NONE error:unsupported-request-method - NONE/- text/html
1280763836.839    142 10.245.202.207 TCP_MISS/503 1619 GET https://cdn.redhat.com/content/dist/rhel/server/5Server/i386/os/repodata/repomd.xml - DIRECT/96.16.100.251 text/html


1280764465.485    206 10.245.202.207 TCP_MISS/503 1625 GET https://cdn.redhat.com/content/dist/rhel/server/5Server/x86_64/os/repodata/repomd.xml - DIRECT/173.222.236.251 text/html
Comment 1 wes hayutin 2010-08-02 13:49:01 EDT
changing the config seems to fix this..


proxy_auth: false
#proxy_host: http://ec2-184-72-158-202.compute-1.amazonaws.com
proxy_host: https://ec2-184-72-158-202.compute-1.amazonaws.com
proxy_port: 3128
sync_base: /mnt/content
use_proxy: true

Squid server
***************************

4.680    674 10.245.202.207 TCP_MISS/200 350534 CONNECT cdn.redhat.com:443 - DIRECT/173.222.240.251 -
1280771324.730  10952 10.245.202.207 TCP_MISS/200 13066911 CONNECT cdn.redhat.com:443 - DIRECT/173.222.240.251 -
1280771324.860   2757 10.245.202.207 TCP_MISS/200 1952617 CONNECT cdn.redhat.com:443 - DIRECT/173.222.240.251 -
1280771324.901    750 10.245.202.207 TCP_MISS/200 398349 CONNECT cdn.redhat.com:443 - DIRECT/173.222.240.251 -
1280771324.936    280 10.245.202.207 TCP_MISS/200 56622 CONNECT cdn.redhat.com:443 - DIRECT/173.222.240.251 -
1280771325.188  12122 10.245.202.207 TCP_MISS/200 15752678 CONNECT cdn.redhat.com:443 - DIRECT/173.222.240.251 -
1280771325.205   1660 10.245.202.207 TCP_MISS/200 1000412 CONNECT cdn.redhat.com:443 - DIRECT/173.222.240.251
Comment 2 Jay Dobies 2010-08-02 15:05:30 EDT
<jdob> what's the verdict on https://bugzilla.redhat.com/show_bug.cgi?id=620480 ?
<jdob> is this still a concern?
<weshay_hm> no.. it works as long as the proxy is defined w/ https
Comment 3 wes hayutin 2010-08-03 15:32:44 EDT
verified1280859613.288    142 10.245.78.143 TCP_MISS/200 102895 CONNECT cdn.redhat.com:443 - DIRECT/96.16.100.251 -
1280859613.297    175 10.245.78.143 TCP_MISS/200 38433 CONNECT cdn.redhat.com:443 - DIRECT/96.16.100.251 -
1280859613.667    490 10.245.78.143 TCP_MISS/200 59643 CONNECT cdn.redhat.com:443 - DIRECT/96.16.100.251 -
1280861889.709    892 10.245.78.143 TCP_MISS/200 11557 CONNECT cdn.redhat.com:443 - DIRECT/96.16.100.251 -
Comment 4 wes hayutin 2011-08-01 17:39:07 EDT
moving to release pending
Comment 5 wes hayutin 2012-05-31 08:53:23 EDT
closing out, product released

Note You need to log in before you can comment on or make changes to this bug.